import request from "@/utils/request";

/**
 * 课程文章分类
 */
export function getCategory(data) {
  return request.get("/CourseCategory", data);
}

/**
 * 文章分类
 */
export function getArticleCategorys(data) {
  return request.get("/CourseCategory/getArticleCategorys", data);
}

/**
 * 通过分类查找文章列表
 */
export function getArticle(data) {
  return request.get("/article/listByCategoryId", data);
}

/**
 * 获取文章详情
 */
export function getArticleDetails(data) {
  return request.get("/article/details/"+data);
}

/**
 * 获取解锁所有文章费用
 */
export function getUnlockAllArticlePrice(data) {
  return request.get("/article/getUnlockAllArticlePrice");
}
/**
 * 获取解锁文章
 */
export function unlockArticle(data) {
  return request.post("/article/unlockArticle",data);
}
/**
 * 获取学习榜单列表
 */
export function getStudyList(data) {
  return request.post("/StudyList/listStudyList",data);
}
/**
 * 获取学习榜单详情
 */
export function getStudyDetail(data) {
  return request.get("/StudyList/studyListDetail?id="+data);
}
/**
 * 报名榜单
 */
export function enterStudyList(data) {
  return request.post("/StudyList/enterStudyList",data);
}
/**
 * 获取榜单打榜进度
 */
export function myProgress(data) {
  return request.get("/StudyList/myProgress?studyListId="+data);
}

/**
 * 发布打榜分享
 */
export function studyListPublish(data) {
  return request.post("/StudyList/studyListPublish",data);
}

/**
 * 发布打榜点赞
 */
export function studyListVote(data) {
  return request.post("/StudyList/studyListVote",data);
}

/**
 * 获取打榜日记
 */
export function myStudylist(data) {
  return request.get("/StudyList/myStudylist?listId="+data);
}

/**
 * 获取课程列表
 */
export function getCourses(data) {
  return request.post("/Course/listCourses",data);
}

/**
 * 获取课程详情
 */
export function getCourseDetail(data) {
  return request.post("/Course/courseDetail",data);
}

/**
 * 报名
 */
export function enterCourse(data) {
  return request.post("/user/enterCourse",data);
}

/**
 * 课程扫码签到
 */
export function signCourse(data) {
  return request.get("/user/signCourse?courseId="+data);
}

/**
 * 意见反馈
 */
export function feedBack(data) {
  return request.post("/user/feedback",data);
}